Whistl offers domestic and international shipping services for shipments originating in the UK, Jersey, and Georgia.
This guide provides developers with the details needed to build Whistl shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | This is a nickname for you to identify the carrier account in ShipStation API. |
password | string | required | Your Whistl account password |
account | string | required | Your Whistl account number |
department | string | required | Your Whistle account department number |
tracking_api_key | string | required | Your Whistle account tracking API key |
You can connect a Whistl account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connecting Whistl via the ShipStation API dashboard, go to our Whistl help article.
carrier_name: whistl
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/whistl HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Whistl Account nickname",
"password": "pa55word",
"account: "1234567",
"department": "89101112",
"training_api_key": "your_training_api_key"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Whistl does not send rates to ShipStation API. Contact your Whistl account manager for details about your contracted rates.
Available Whistl services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| Insight Large Letter | whistl_insight_large_letter_domestic |
| Insight Packet | whistl_insight_packet_domestic |
| Service | API Code |
|---|---|
| Insight Large Letter | whistl_insight_large_letter_international |
| Insight Packet | whistl_insight_packet_international |
Whistl does not support creating return labels.
The following carrier package types are available for Whistl services:
| Name | API Code | Package Attributes |
|---|---|---|
| Parcel | whistl_package | Domestic, International |
Whistl supports adding carrier insurance to your shipments. Review the Parcel Insurance page for details on adding shipment insurance with ShipStation API.
- Label sizes: 4" x 6", 4" x 8"
- Label formats: PDF, PNG, ZPL
Whistl does not support adding custom label messages.
Whistl supports creating multi-package shipments.
Whistl does not support label branding.
Whistl does not support voiding labels with ShipStation API.
Whistl does not support paperless labels.
Customs declarations are printed directly onto the label instead of a separate document to download.
NOTE: Action Required: New Zealand Border Levy Changes
Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged per consignment, not per item.
See the Shipping to New Zealand: Low Value Goods (LVG) Levy section in International Shipments for full details.
| Confirmation Type | API Code | Description |
|---|---|---|
| No confirmation required | none | No confirmation required for delivery. |
See our Delivery Confirmation page for more details about using the confirmation property.
Whistl does not currently support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Whistle does not require manifesting your shipments.
Whistl does not support scheduling pickups using ShipStation API.
Whistl does not support shipping to service points.
ShipStation API's integration with Whistl supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.